package info.bukova.isspst.services.users;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import info.bukova.isspst.data.Role;
import info.bukova.isspst.services.AbstractService;

public class RoleServiceImpl extends AbstractService<Role> implements RoleService {

	@Override
	@Transactional
	public Role getRoleByAuthority(String authority) {
		return this.selectSingle("from Role where authority = '" + authority + "'");
	}

	@Override
	@Transactional
	public List<Role> getWorkgroupRoles() {
		return this.execQuery("from Role where workgroup = true");
	}

	@Override
	@Transactional
	public List<Role> getCentreRoles() {
		return this.execQuery("from Role where centre = true");
	}

}
